module.exports = {
	content: [
		'./src/pages/**/*.tsx',
		'./src/components/**/*.tsx',
		'./src/layouts/**/*.tsx',
	],
	theme: {
		extend: {
			keyframes: {
				// 变大变小动画
				scale: {
					'0%, 100%': {
						transform: 'scale(0.9)',
					},
					'40%': {
						transform: 'scale(1.0)',
					},
					'70%': {
						transform: 'scale(0.9)',
					},
				},
				// 从上方掉下来，然后在反弹回来
				bounceIn: {
					'0%': {
						transform: 'translateY(-200px)',
					},
					'80%': {
						transform: 'translateY(100px)',
					},
					'100%': {
						transform: 'translateY(0)',
					},
				},
				// 购买记录动画
				record: {
					'0%': {
						transform: 'translate(0, 30px)',
					},
					'100%': {
						transform: 'translate(0, calc(30px - 100%))',
					},
				},
			},
			colors: {
				brand: {
					100: '#FEF7D8',
					200: '#FEECB2',
					300: '#FEDE8C',
					400: '#FED16F',
					500: '#FEBB40',
					600: '#DA972E',
					700: '#B67620',
					800: '#935814',
					900: '#79430C',
				},
			},
		},
	},
	corePlugins: {
		// preflight: false,
		divideStyle: true,
	},
};
